com.fasterxml.jackson.databind.introspect

## Interface DefaultAccessorNamingStrategy.BaseNameValidator

All Known Implementing Classes:
  DefaultAccessorNamingStrategy.FirstCharBasedValidator

Enclosing class:
  DefaultAccessorNamingStrategy

    public static interface DefaultAccessorNamingStrategy.BaseNameValidator

Definition of a handler API to use for checking whether given base name (remainder of accessor method name after removing prefix) is acceptable based on various rules.

Since:
  2.12

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `accept(char firstChar, String basename, int offset)`

### Method Detail

#### accept

    boolean accept(char firstChar,
                   String basename,
                   int offset)